## snappy 1.1.3

=== debian/changelog ===
snappy (1.1.3-2) unstable; urgency=medium

  * Change package name to libsnappy1v5 for rebuild with g++-5.0 with the
    C++11 ABI; conflict with libsnappy1. (Closes: #791289, #794993)
  * Switch Debian packaging to the 3.0 (quilt) format.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 09 Aug 2015 12:07:46 +0200

snappy (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage: field in debian/control to reflect that Snappy is now
    distributed through GitHub. 

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 14 Jul 2015 15:18:14 +0200

snappy (1.1.2-4) unstable; urgency=low

  * Make package multi-arch capable; patch from Mathieu Malaterre.
    (Closes: #775409)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 15 Jan 2015 23:12:50 +0100

snappy (1.1.2-3) unstable; urgency=medium

  * Add missing build-dependency on pkg-config, which is needed when we
    run autoreconf as part of the build; fixes FTBFS. (Closes: #756798)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 02 Aug 2014 14:04:34 +0300

snappy (1.1.2-2) unstable; urgency=medium

  * Use dh-autoreconf instead of managing config.sub and config.guess
    ourselves; fixes FTBFS on ppc64el. Patch from Fernando Seiti Furusato.
    (Closes: #755933) 

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Jul 2014 21:33:36 +0200

snappy (1.1.2-1) unstable; urgency=high

  * New upstream release.
    * Removes some test data that have unclear licensing, and which thus may
      violate the DFSG.
    * urgency=high due to the previous point.
  * Update to Standards-Version 3.9.5 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 09 Apr 2014 23:29:53 +0200

snappy (1.1.0-1) unstable; urgency=low

  * New upstream release.
    * Fixes divide by zero in unit test when run on platforms with
      very imprecise gettimeofday(). (Closes: #699419)
  * Do not run make check at build time if DEB_BUILD_OPTIONS contains
    nocheck.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Mar 2013 17:03:33 +0900

snappy (1.0.5-2) unstable; urgency=low

  * Disable unaligned accesses on ARMv4, not just ARMv5 and ARMv6.
    Fixes unit test segfaults and subsequent FTBFS on armel.
    (Closes: #679964) 

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 02 Jul 2012 19:30:10 +0200

snappy (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Use standard build flags from dpkg-buildflags, to get hardening etc.
    (also, at some point our previous setup started to give no optimization,
    which is not very good).
    * Build-Depend on dpkg-dev >= 1.61.1~.
  * Add dummy build-indep and build-arch targets (both just depend on build).
  * Upgrade to Standards-Version 3.9.3 (no changes needed).
  * Minor tweak to debian/copyright to make lintian happy.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 29 Mar 2012 14:12:12 +0000

snappy (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 15 Sep 2011 21:39:31 +0200

snappy (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.2. (No changes needed.)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 03 Jun 2011 01:08:08 +0200

snappy (1.0.2-1) unstable; urgency=low

  * New upstream release.
    * Update debian/copyright with new license (upstream changed from
      the Apache2 license to a BSD-style license).

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 29 Apr 2011 00:13:12 +0200

snappy (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 25 Mar 2011 01:44:25 +0100
