## snappy 1.1.4

=== debian/changelog ===
snappy (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 27 Jan 2017 22:02:08 +0100

snappy (1.1.3-3) unstable; urgency=low

  * Build a convenience library libsnappy-shared.a, which is suitable for
    linking into a shared library. (Closes: #748627)
  * Change the download URL in debian/copyright to point to GitHub instead of
    Google Code, since upstream moved.
  * Update Standards-Version to 3.9.7 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 19 Mar 2016 14:38:04 +0100
