=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, pkg-config, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/google/snappy/
