## snappy 1.1.6

=== debian/changelog ===
snappy (1.1.6-4) unstable; urgency=medium

  * Correct libsnappy-shared.a symlink target (closes: #872226).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 20 Aug 2017 15:42:23 +0000

snappy (1.1.6-3) unstable; urgency=medium

  [ Niclas Rosenvik ]
  * Readd pkgconfig support (closes: #871437).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Aug 2017 11:06:59 +0000

snappy (1.1.6-2) unstable; urgency=medium

  * Patch to build static library (closes: #868605).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Jul 2017 07:26:07 +0000

snappy (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Switch to short debhelper rules format.
  * Switch to CMake build system.
  * Force CMake build until autoconf build still exists.
  * Specify CMAKE_BUILD_TYPE to RelWithDebInfo.
  * Patch CMake to multiarch library install.
  * Install CMake files.
  * Enable parallel building.
  * Update Standards-Version to 4.0.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Jul 2017 07:57:57 +0000

snappy (1.1.4-3) unstable; urgency=medium

  [ Steve Langasek <steve.langasek@canonical.com> ]
  * Use pristine upstream git source that works on armhf (closes: #866188).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Jun 2017 15:35:33 +0000

snappy (1.1.4-2) unstable; urgency=low

  * New maintainer (closes: #863946).
  * Update Standards-Version to 3.9.8 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 06:32:45 +0000
