=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEVPKGDIR:=$(CURDIR)/debian/libsnappy-dev

override_dh_auto_configure:
	echo ${DEB_HOST_MULTIARCH}
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}

override_dh_install:
	dh_install
	ln -s /usr/lib/${DEB_HOST_MULTIARCH}/libsnappy.a \
		$(DEVPKGDIR)/usr/lib/${DEB_HOST_MULTIARCH}/libsnappy-shared.a

%:
	dh $@ --parallel --buildsystem=cmake --builddir=build/

.PHONY: override_dh_auto_configure override_dh_install
