## snappy 1.1.7

=== debian/changelog ===
snappy (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Sep 2017 17:17:21 +0000
