=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: snappy
 Priority: extra
-Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, pkg-config, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.7
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), cmake, pkg-config
+Standards-Version: 4.0.0
 Section: libs
 Homepage: https://github.com/google/snappy/
