=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 DEVPKGDIR:=$(CURDIR)/debian/libsnappy-dev
 
 override_dh_auto_configure:
-	echo ${DEB_HOST_MULTIARCH}
 	dh_auto_configure -- \
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH} -DBUILD_SHARED_LIBS=on
 
 override_dh_install:
 	dh_install
