=== debian/changelog ===
snappy (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Jan 2020 20:19:20 +0000

snappy (1.1.7-2) unstable; urgency=medium

  * Fix snappy_unittest FTBFS.
  * Add watch file.
  * Update debhelper level to 12:
    - don't specify parallel to debhelper.
  * Update homepage location.
  * Update Standards-Version to 4.4.1:
    - change package priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 Dec 2019 19:18:14 +0000
