=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: snappy
-Priority: extra
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), cmake, pkg-config
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 12), cmake, pkg-config
+Standards-Version: 4.5.0
 Section: libs
-Homepage: https://github.com/google/snappy/
+Homepage: https://google.github.io/snappy/
 
 Package: libsnappy-dev
 Section: libdevel
