=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,6 @@
 		$(DEVPKGDIR)/usr/lib/${DEB_HOST_MULTIARCH}/libsnappy-shared.a
 
 %:
-	dh $@ --parallel --buildsystem=cmake --builddir=build/
+	dh $@ --buildsystem=cmake --builddir=build/
 
 .PHONY: override_dh_auto_configure override_dh_install
