## snappy 1.1.9

=== debian/changelog ===
snappy (1.1.9-3) unstable; urgency=medium

  * Add option to enable rtti, set default to current behavior.
  * Enable rtti support (closes: 1031394).
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Feb 2023 20:31:32 +0100

snappy (1.1.9-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 May 2022 20:26:22 +0200

snappy (1.1.9-1) experimental; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update copyright file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Dec 2021 19:21:57 +0100
