=== debian/changelog ===
snappy (1.1.10-ok2.1) nile; urgency=medium

  * No-change rebuild for irregularity packaging branch. 

 -- liwenjun <liwenjun@kylinos.cn>  Tue, 19 Nov 2024 10:49:36 +0800

snappy (1.1.10-ok2) nile; urgency=medium

  * Add -fPIC for libsnappy-shared.a(needs by apitrace).

 -- liwenjun <liwenjun@kylinos.cn>  Tue, 19 Nov 2024 10:34:34 +0800

snappy (1.1.10-ok1) nile; urgency=medium

  * Build for openKylin.

 -- zhouganqing <zhouganqing@kylinos.cn>  Mon, 30 Oct 2023 17:53:19 +0800

snappy (1.1.8-ok1) yangtze; urgency=medium

  * Build for openKylin.

 -- openKylinBot <openKylinBot@openkylin.com>  Mon, 25 Apr 2022 22:03:04 +0800
