=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: snappy
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: openKylin Developers <developers@lists.openkylin.top>
 Build-Depends: debhelper-compat (= 13), cmake, pkgconf,
  libgtest-dev, libgmock-dev, libbenchmark-dev
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://google.github.io/snappy/
+Vcs-Git: https://gitee.com/openkylin/snappy.git
+Vcs-Browser: https://gitee.com/openkylin/snappy
 
 Package: libsnappy-dev
 Section: libdevel
