=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# apitrace needs libsnappy-shared.a recompile with -fPIC
+export CFLAGS += -fPIC
+export CXXFLAGS += -fPIC
+
 DEVPKGDIR:=$(CURDIR)/debian/libsnappy-dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DCMAKE_CXX_STANDARD=14 \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DCMAKE_INSTALL_LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH} -DBUILD_SHARED_LIBS=ON \
 		-DSNAPPY_ENABLE_RTTI=ON \
