=== debian/changelog ===
snappy (1.2.1-1) unstable; urgency=medium

  * New upstream release:
    - restores full ABI and API compatibility (closes: #1070785).
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 22 May 2024 17:18:35 +0200

snappy (1.2.0-2) unstable; urgency=medium

  * Backport upstream fix to update library version number to 1.2.0 .
  * Patch to preserve API as of version 1.1.0 of the library
    (closes: #1070217).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 02 May 2024 18:36:25 +0200

snappy (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 May 2024 17:24:01 +0200

snappy (1.1.10-1) unstable; urgency=medium

  * New upstream release.
  * Configure with C++14 standard (closes: #1041028).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 17 Jul 2023 21:07:55 +0200
